---
lang: en
title: 'API docs: core.serviceoptions'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/core
permalink: /doc/en/lb4/apidocs.core.serviceoptions.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/core](./core.md) &gt; [ServiceOptions](./core.serviceoptions.md)

## ServiceOptions interface

Options to register a service binding

<b>Signature:</b>

```typescript
export interface ServiceOptions extends BindingFromClassOptions 
```
<b>Extends:</b> [BindingFromClassOptions](./context.bindingfromclassoptions.md)

## Properties

|  Property | Type | Description |
|  --- | --- | --- |
|  [interface?](./core.serviceoptions.interface.md) | [ServiceInterface](./core.serviceinterface.md) | <i>(Optional)</i> |


